---
title: llarp::rpc

---

# llarp::rpc



## Namespaces

| Name           |
| -------------- |
| **[llarp::rpc::endpoint](Namespaces/namespacellarp_1_1rpc_1_1endpoint.md)**  |

## Classes

|                | Name           |
| -------------- | -------------- |
| struct | **[llarp::rpc::EndpointAuthRPC](Classes/structllarp_1_1rpc_1_1EndpointAuthRPC.md)**  |
| struct | **[llarp::rpc::LokidRpcClient](Classes/structllarp_1_1rpc_1_1LokidRpcClient.md)** <br>The [LokidRpcClient]() uses loki-mq to talk to make API requests to lokid.  |
| class | **[llarp::rpc::MessageHandler](Classes/classllarp_1_1rpc_1_1MessageHandler.md)**  |
| class | **[llarp::rpc::RPCServer](Classes/classllarp_1_1rpc_1_1RPCServer.md)**  |
| struct | **[llarp::rpc::RpcServer](Classes/structllarp_1_1rpc_1_1RpcServer.md)**  |

## Types

|                | Name           |
| -------------- | -------------- |
| typedef std::shared_ptr< oxenmq::OxenMQ > | **[LMQ_ptr](Namespaces/namespacellarp_1_1rpc.md#typedef-lmq-ptr)**  |

## Types Documentation

### typedef LMQ_ptr

```cpp
typedef std::shared_ptr< oxenmq::OxenMQ > llarp::rpc::LMQ_ptr;
```







-------------------------------

Updated on 2023-01-12 at 16:23:34 +0000